%global libname IO-AIO
%global _use_internal_dependency_generator 0

Name:           perl-%{libname}
Version:        3.65
Release:        1%{?dist}
Summary:        Asynchronous Input/Output
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{libname}/
Source0:        http://www.cpan.org/modules/by-module/IO/%{libname}-%{version}.tar.gz

BuildRequires:  perl(ExtUtils::MakeMaker), perl(common::sense)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements asynchronous I/O using whatever means your operating
system supports.

%prep
%setup -q -n %{libname}-%{version}

# filter unwanted Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__find_provides} $* |\
grep -v AIO.so
EOF

%global __find_provides %{_builddir}/%{libname}-%{version}/%{name}-prov
chmod +x %{__find_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

rm -v %{buildroot}%{_bindir}/treescan

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/IO
%{_mandir}/man3/IO::AIO.*

%changelog
* Thu Jun 24 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 3.65-1
- Upstream released new version

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.17-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 3.17-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Nicolas Chauvet <kwizart@gmail.com> 3.17-1
- Update to 3.17

* Sun Nov 09 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> 3.16-1
- Upstream release new version

* Mon Mar 03 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.51-2
- rebuild for new perl (again)

* Sat Feb 09 2008 Ruben Kerkhof <ruben@rubenkerkhof,com> 2.51-1
- Sync with upstream

* Thu Feb  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.33-2
- rebuild for new perl

* Sun May 13 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 2.33-1
- Initial import
